Subject: bug#34516: Multi-monitor frame sets

From: Alan Third <[email-masked]>
Date: Sun, 3 Mar 2019 11:43:24 +0000

On Sat, Mar 02, 2019 at 11:57:35PM +0000, Andy Moreton wrote:
> On Sat 02 Mar 2019, Alan Third wrote:
> 
> > On Sun, Feb 24, 2019 at 01:56:31PM +0100, Robert Pluim wrote:
> >> Juri Linkov <[email-masked]> writes:
> >> 
> >> > on macOS it could return something like that or generate fake names
> >> > from geometry like "1920x1080+0+0", "2560x1440+1920+16".
> 
> It would be more usefulr to use the underlying device name, like on other
> platforms.

It doesn’t look like macOS gives displays any sort of human readable
name. The closest I can find is the monitor’s make and model, which
appears to be lifted directly from the device driver. I expect if you
have two identical monitors then it will be the same for both.

> > Also, it might be worth considering using the ‘did’ value instead of
> > ‘i’. As far as I can tell it’s just a uint32_t, and should stay the
> > same as long as the system isn’t rebooted.
> 
> Is the did value reused if monitors are dynamically plugged and
> unplugged ? This may happen when using a laptop with docking
> stations and external monitors.

The documentation implies it may remain the same for the same monitor,
but then again, maybe not. It’s not very clear.

It shouldn’t be the same for two different monitors, though.
-- 
Alan Third